import Request from '@/utils/request/request-util';

/**
 * 门户后台管理 - 生效范围api
 *
 */
export class EffectiveApi {
    /**
     * 获取列表（带分页）
     * @param {*} params
     */
    static findPage(params) {
        return Request.get('/portalDesignPermission/page', params);
    }

    /**
     * 更新门户设计的生效范围
     * @param {*} params
     */
    static updatePermissionList(params) {
        return Request.post('/portalDesignPermission/updatePermissionList', params);
    }
    /**
     * 删除单个
     * @param {*} params
     */
    static delete(params) {
        return Request.post('/portalDesignPermission/delete', params);
    }
    /**
     * 删除多个
     * @param {*} params
     */
    static batchDelete(params) {
        return Request.post('/portalDesignPermission/batchDelete', params);
    }
}